Subject: Re: [BUG] NetInstaller leaves bad dates
From: "David A. Cobb" <[email-masked]>
To: Robert Collins <[email-masked]>
Cc: [email-masked], [email-masked], XEmacs NT Mailing List <[email-masked]>
Date: Mon, 04 Mar 2002 19:43:56 -0500

Robert Collins wrote:

>>Please pardon the cross-posting.  I'm copying this to 
>>everyone known to 
>>use the Cygwin Netinstaller.
>>
>The cross-posting is fine, the complete lack of detail - versions,
>filesystem, OS - is not.
>
Ah!  Yes.

Win98se (4.10.2222), Fat32fs with multiple PMagic partitions
Cygwin Netinstall 2.125.2.10
Xemacs Netinstall 1.2.2.1.2.7 ( ! Wow ! )
Lillypond Netinstall 2.96.jcn1

With that much variation, I suspect the common point-of-failure may be
Cygwin TAR 1.13.19-1

I think there is a known deficiency because the resolution of FAT32 
filesystem timestamps is 2-sec (vice 1-sec or less on a *Nix box)  For 
XEmacs, that could also be why installed *.el files appear newer than 
*.elc files.  Ummm - maybe that doesn't make sense either; maybe fixing 
the invalid dates causes that secondary problem.

-- 
David A. Cobb, Software Engineer, Public Access Advocate
"By God's Grace I am a Christian man, by my actions a great sinner." -- The Way of a Pilgrim; R. M. French, tr.
Life is too short to tolerate crappy software.
.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/